gi-gtk-3.0.43: Gtk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.PanedAccessible

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype PanedAccessible = PanedAccessible (ManagedPtr PanedAccessible)
- class (GObject o, IsDescendantOf PanedAccessible o) => IsPanedAccessible o
- toPanedAccessible :: (MonadIO m, IsPanedAccessible o) => o -> m PanedAccessible

# Exported types

newtype PanedAccessible Source #

Memory-managed wrapper type.

Constructors

PanedAccessible (ManagedPtr PanedAccessible) |

#### Instances

Instances details

Eq PanedAccessible Source # |
Instance details Defined in GI.Gtk.Objects.PanedAccessible Methods (==) :: PanedAccessible -> PanedAccessible -> Bool Source # (/=) :: PanedAccessible -> PanedAccessible -> Bool Source #
GObject PanedAccessible Source # |
Instance details Defined in GI.Gtk.Objects.PanedAccessible
ManagedPtrNewtype PanedAccessible Source # |
Instance details Defined in GI.Gtk.Objects.PanedAccessible Methods toManagedPtr :: PanedAccessible -> ManagedPtr PanedAccessible Source #
TypedObject PanedAccessible Source # |
Instance details Defined in GI.Gtk.Objects.PanedAccessible Methods glibType :: IO GType Source #
HasParentTypes PanedAccessible Source # |
Instance details Defined in GI.Gtk.Objects.PanedAccessible
IsGValue (Maybe PanedAccessible) Source # | Convert `PanedAccessible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.PanedAccessible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe PanedAccessible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe PanedAccessible) Source #
type ParentTypes PanedAccessible Source # |
Instance details Defined in GI.Gtk.Objects.PanedAccessible type ParentTypes PanedAccessible = '[ContainerAccessible, WidgetAccessible, Accessible, Object, Object, Component, Value]

class (GObject o, IsDescendantOf PanedAccessible o) => IsPanedAccessible o Source #

Type class for types which can be safely cast to `PanedAccessible`, for instance with `toPanedAccessible`.

#### Instances

Instances details

(GObject o, IsDescendantOf PanedAccessible o) => IsPanedAccessible o Source # |
Instance details Defined in GI.Gtk.Objects.PanedAccessible

toPanedAccessible :: (MonadIO m, IsPanedAccessible o) => o -> m PanedAccessible Source #

Cast to `PanedAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addRelationship, bindProperty, bindPropertyFull, connectWidgetDestroyed, contains, forceFloating, freezeNotify, getv, grabFocus, initialize, isFloating, notify, notifyByPspec, notifyStateChange, peekParent, ref, refAccessibleAtPoint, refAccessibleChild, refRelationSet, refSink, refStateSet, removeFocusHandler, removePropertyChangeHandler, removeRelationship, runDispose, scrollTo, scrollToPoint, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleId, getAlpha, getAttributes, getCurrentValue, getData, getDescription, getExtents, getHelpText, getIncrement, getIndexInParent, getLayer, getMaximumValue, getMdiZorder, getMinimumIncrement, getMinimumValue, getNAccessibleChildren, getName, getObjectLocale, getParent, getPosition, getProperty, getQdata, getRange, getRole, getSize, getSubRanges, getValueAndText, getWidget.

#### Setters

setAccessibleId, setCurrentValue, setData, setDataFull, setDescription, setExtents, setHelpText, setName, setParent, setPosition, setProperty, setRole, setSize, setValue, setWidget.